Bug 1022062 - socat: strcpy misuse in xiosetsockaddrenv_ip4()
socat: strcpy misuse in xiosetsockaddrenv_ip4()
Status: MODIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: socat (Show other bugs)
7.0
All Linux
low Severity low
: rc
: ---
Assigned To: Paul Wouters
BaseOS QE Security Team
:
Depends On:
Blocks: 1019961 1085024
  Show dependency treegraph
 
Reported: 2013-10-22 11:06 EDT by Florian Weimer
Modified: 2018-03-21 21:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.7.3.1-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-22 11:06:11 EDT
xiosetsockaddrenv_ip4() in xio-ip4.c calls strcopy on overlapping buffers:

      strcpy(valuebuff,
	     inet4addr_info(ntohl(sa->sin_addr.s_addr), valuebuff, valuelen));

I think it's sufficient to drop the strcpy call because inet4addr_info already does the writing.
Comment 2 Gerhard 2014-03-10 17:08:15 EDT
Has been fixed in upstream release 1.7.2.4

Note You need to log in before you can comment on or make changes to this bug.